Bug 728985 - New FAQ for multiple network interfaces
Summary: New FAQ for multiple network interfaces
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Grid_User_Guide
Version: 2.0
Hardware: All
OS: Linux
high
high
Target Milestone: 2.0.1
: ---
Assignee: Alison Young
QA Contact: Tomas Rusnak
URL:
Whiteboard:
Depends On: 733588
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-08 14:52 UTC by Robert Rati
Modified: 2011-09-07 22:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-07 22:48:21 UTC


Attachments (Terms of Use)

Description Robert Rati 2011-08-08 14:52:02 UTC
Description of problem:
Q: Why is MRG Grid choosing a specific network interface?
A: When MRG Grid is run on a node with multiple network interfaces it will attempt to choose which interface it believes is the correct one for communications.  If MRG Grid chooses the incorrect interface, the node could fail to communicate with other parts of MRG Grid correctly.  It is possible to see which interface MRG Grid is choosing by adding D_HOSTNAME to the logging for the daemon(s) having problems.  It is possible to force MRG Grid to use a specific network interface by setting the parameter NETWORK_INTERFACE to the IP address or network interface device that MRG Grid should use.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 3 Tomas Rusnak 2011-08-23 10:00:43 UTC
Change confirmed in chapter Chapter 20. Frequently Asked Questions:

Q: Why is MRG Grid choosing a specific network interface?? 

When MRG Grid is run on a node with multiple network interfaces it attempts to choose which interface it believes is the correct one for communications. If MRG Grid selects the incorrect interface, the node could fail to communicate with other parts of MRG Grid correctly.
To see which interface MRG Grid is choosing, add D_HOSTNAME to the logging for the daemon(s) having problems. You can force MRG Grid to use a specific network interface by setting the parameter NETWORK_INTERFACE to the IP address or network interface device that MRG Grid should use. 

Revision history updated:

Revision 1-2	Wed Aug 10 2011	Alison Young
BZ#728985 - multiple network interface FAQ update

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.